# Changelog

## 2025-03-01 - 1.3.1 - fix(test)
Update test script to fix type references and remove private method call

- Corrected type references in test script for IMonitorConfig.
- Fixed test script to use console.log instead of private method monitor.log.

## 2025-03-01 - 1.3.0 - feat(cli)
Add CLI support with command parsing and version display

- Added a basic CLI interface using smartcli.
- Implemented command parsing with a 'restart' command.
- Integrated project version display in the CLI.

## 2025-03-01 - 1.2.0 - feat(core)
Introduce ProcessMonitor with memory management and spawning features

- Added ProcessMonitor class with functionality to manage process execution and memory usage.
- Implemented process spawning with ability to handle command arguments and directories.
- Added periodic memory monitoring and automatic restarts when memory thresholds are exceeded.
- ProcessMonitor now logs its actions with optional configuration name for better identification.
- Updated test file to include example usage of ProcessMonitor.

## 2025-03-01 - 1.1.1 - fix(package)
Update dependencies and pnpm configuration

- Updated @types/node to 22.13.8
- Updated pnpm configuration to include onlyBuiltDependencies with esbuild, mongodb-memory-server, and puppeteer

## 2025-03-01 - 1.1.0 - feat(core)
Introduce ProcessMonitor class and integrate native and external plugins

- Added a new ProcessMonitor class to manage and monitor child processes with memory constraints.
- Integrated native 'path' and external '@push.rocks/smartpath' packages in a unified plugins file.
- Adjusted index and related files for improved modular structure.

## 2025-02-24 - 1.0.3 - fix(core)
Corrected description in package.json and readme.md from 'task manager' to 'process manager'.

- Updated the project description in package.json.
- Aligned the description in readme.md with package.json.

## 2025-02-24 - 1.0.2 - fix(core)
Internal changes with no functional impact.


## 2025-02-24 - 1.0.1 - initial release
Initial release with baseline functionality.
