import * as plugins from './plugins.js';
import * as paths from './paths.js';

export const run = async () => {
  const tspmProjectinfo = new plugins.projectinfo.ProjectInfo(paths.packageDir);

  const smartcliInstance = new plugins.smartcli.Smartcli();
  smartcliInstance.addVersion(tspmProjectinfo.npm.version);
  
  smartcliInstance.standardCommand().subscribe({
    next: (argvArg) => {
      console.log(`Please specify a command.`)
    },
  });

  smartcliInstance.addCommand('restart').subscribe({

  })

  smartcliInstance.startParse();
}