// native scope
import * as childProcess from 'child_process';
import * as path from 'node:path';

export {
  childProcess,
  path,
}

// @push.rocks scope
import * as projectinfo from '@push.rocks/projectinfo';
import * as smartpath from '@push.rocks/smartpath';
import * as smartcli from '@push.rocks/smartcli';

export {
  projectinfo,
  smartpath,
  smartcli,
}

// third-party scope
import psTree from 'ps-tree';
import pidusage from 'pidusage';

export {
  psTree,
  pidusage,
}